import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.reportdesigner.ReportAPI.QbReport;
import quadbase.reportdesigner.ReportViewer.Viewer;

public class DataFileEncoding extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			DataFileEncoding report = new DataFileEncoding();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", report.doSetChartPath(frame));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doSetChartPath(this));
	}

	Component doSetChartPath(Object parent) {

		// Do not use EspressManager
		QbReport.setEspressManagerUsed(false);

		// Open the template
		QbReport report = new QbReport(parent, // container 
				"DataFileEncoding.rpt", // template
				false, false, false, true);
		try {
			report.getInputData().setDataFile("sample.dat", false, "ASCII");
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}

		// Show report in Viewer
		return (new Viewer().getComponent(report));
	}

}
